> For the complete documentation index, see [llms.txt](https://docs.oceanenterprise.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oceanenterprise.io/~/revisions/IKmS06jx6d2zQh2vmKN9/discover/benefits.md).

# What can you do with Ocean Enterprise?

Ocean Enterprise essentially provides enterprises with a comprehensive platform to build data marketplaces, enable secure data sharing, and create new revenue streams from their data assets while maintaining compliance and security standards.

**Core Capabilities:**

* **Data Monetization & Sharing**: Create secure, controlled environments for businesses to share and monetize their data assets
* **Compute-to-Data (C2D)**: Enable data processing without exposing the underlying data, maintaining privacy and security
* **Advanced Pricing Models**: Implement sophisticated pricing mechanisms for data assets and services
* **IP Licensing**: Advanced intellectual property licensing capabilities for data and algorithms

<details>

<summary>Build Your Token-gated AI dApp</summary>

Monetize by making your dApp token-gated. Users no longer have to use credit cards or manage OAuth credentials. Rather, they buy & spend ERC20 datatokens to access your dApp content.

Go further yet: rather than storing user profile data on your centralized server -- which exposes you to liability -- have it on-chain encrypted by the user's wallet, and just-in-time decrypt for the app.

</details>

<details>

<summary>Build Your Token-gated REST API</summary>

Focus on the backend: make a Web3-native REST API. Like the token-gated dApps, consumers of the REST API buy access with crypto, not credit cards.

</details>

***

*Next:* [Ocean Enterprise Collective e.V](/~/revisions/IKmS06jx6d2zQh2vmKN9/discover/ocean-enterprise-collective-e.v..md)

*Back:* [*What is Ocean?*](/~/revisions/IKmS06jx6d2zQh2vmKN9/discover/what-is-ocean.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.oceanenterprise.io/~/revisions/IKmS06jx6d2zQh2vmKN9/discover/benefits.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
